clear

set mem 90000

* THIS PROGRAMME READS IN THE ONS DATA
* Read in the data


cd "C:\Users\it237\Documents\Work\savings\pensions\annuity\Pension_and_Gilts\Bank of England\Data\ONS"

* clear memory

clear all

use "DataAll.dta"

*use "Quarterly_DataAll.dta" 


sum NA_AllShares_ICPF NA_Gilts_ICPF NA_AllcorpBnds_ICPF NA_Cash_ICPF

rename Stata_Dates Quarters
rename NA_AllShares_ICPF Shares
rename NA_Gilts_ICPF Gilts
rename NA_AllcorpBnds_ICPF CorpBonds
rename NA_Cash_ICPF Cash

g  Period="2008-2012" if Quarters>191
replace Period="1987-1992" if Quarters>108 & Quarters<132
replace Period="1993-1997" if Quarters>131 & Quarters<152
replace Period="1998-2002" if Quarters>151 & Quarters<172
replace Period="2003-2007" if Quarters>171 & Quarters<192

table Period, c(n Quarters mean Shares mean Gilts mean CorpBonds mean Cash) format(%9.2fc)

tabstat Shares Gilts CorpBonds Cash, statistics(mean) format (%11.3gc) by(Quarters)

graph bar (mean) Shares, over(Quarters) asyvars
histogram Shares, frequency bin(10) title("Shares") by(Quarters)
