* main 1 - ons blue book national account
* On Gilts only

* Zhuoshi Liu @ MFAD,MA,BOE 27 Aug 2012

* install estout

*ssc install estout, replace

*THIS FILE GENERATES TABLE 2 IN ORIGINAL JMCB SUBMISSION
* set path

*cd "N:\Users\320463\Projects\16_WP_LongTerm_Investors_AssetAllocation\analysis\stata\ONSFA\2012q4"
cd "C:\Users\it237\Documents\Work\savings\pensions\annuity\Pension_and_Gilts\Bank of England\Data\ONS"

* clear memory

clear all

* ssc install estout, replace

* import data to Stata

*do "loadData.do"

use "DataAll.dta"


* set dates

tsset  Stata_Dates, quarterly


* Generate new variables

gen P_UK_debt_issuance = UK_debt_issuance / UK_NOM_GDP 
gen P_UK_BOE_APF = UK_BOE_APF / UK_NOM_GDP
gen NA_Gilts_MFI_EXLD_BOE =  NA_Gilts_MFI - NA_Gilts_BOE
gen D_FA_Gilts_MFI_EXLD_BOE =  D_FA_Gilts_MFI - D_FA_Gilts_BOE
gen FA_All_MFI_EXLD_BOE =  FA_All_MFI - FA_All_BOE
gen Free_Float = UK_debt_issuance - UK_BOE_APF

gen P_NA_Gilts_MFI_EXLD_BOE =  100*D_FA_Gilts_MFI_EXLD_BOE / FA_All_MFI_EXLD_BOE

gen UK_yield_slope =  UK_10Y_Yield - UK_3m_rate


  
  ***************
  
  gen US_Corp_Spread = US_Corp_yield - US_10Y_Yield
  gen DMO_Control = UK_debt_issuance
  gen US_long_yield = 1000*(US_10Y_Yield-L.US_10Y_Yield)
  gen US_corp_spread = 1000*(US_Corp_Spread-L.US_Corp_Spread)
  gen US_SP_Return = US_SP_RN
  gen US_SP_Vol = US_SP_VOL
  gen UK_BOE_APF_short = UK_BOE_APF -  UK_BOE_APF_long
	
* Summary statistics

summarize NA_Gilts_ICPF NA_Gilts_PNFC NA_Gilts_PC NA_Gilts_OFI NA_Gilts_HH NA_Gilts_RW NA_Gilts_MFI UK_debt_issuance
summarize NA_Gilts_ICPF NA_Gilts_PNFC NA_Gilts_PC NA_Gilts_OFI NA_Gilts_HH NA_Gilts_RW NA_Gilts_MFI UK_debt_issuance UK_BOE_APF if tin(2009q1,2012q4)
stop 

* regression analysis net acquisition 


     * 1 full sample - newey west

	
	  newey NA_Gilts_ICPF        UK_BOE_APF   DMO_Control US_long_yield US_corp_spread   US_SP_Return   US_SP_Vol  L.NA_Gilts_ICPF ,    lag(4)	 
	  estimates store model_1a, title (NA_Gilts_ICPF)
	  outreg2 using "C:\Users\it237\Documents\Work\savings\pensions\annuity\Pension_and_Gilts\Bank of England\Data\ONS\Table_2.xls",  /*
*/ tstat ctitle("", "ICPF") bdec(4) tdec(2) e(all) wide replace
	  newey NA_Gilts_PNFC        UK_BOE_APF  DMO_Control US_long_yield US_corp_spread   US_SP_Return   US_SP_Vol    L.NA_Gilts_PNFC  ,   lag(4)	 
	  estimates store model_1b, title (NA_Gilts_PNFC)
	  outreg2 using "C:\Users\it237\Documents\Work\savings\pensions\annuity\Pension_and_Gilts\Bank of England\Data\ONS\Table_2.xls",  /*
*/ tstat ctitle("", "PNFC") bdec(4) tdec(2) e(all) wide
	  newey NA_Gilts_PC			 UK_BOE_APF  DMO_Control US_long_yield US_corp_spread   US_SP_Return   US_SP_Vol     L.NA_Gilts_PC  ,    lag(4)	 
	  estimates store model_1c, title (NA_Gilts_PC)
	  outreg2 using "C:\Users\it237\Documents\Work\savings\pensions\annuity\Pension_and_Gilts\Bank of England\Data\ONS\Table_2.xls",  /*
*/ tstat ctitle("", "PC") bdec(4) tdec(2) e(all) wide
	  newey NA_Gilts_OFI     	 UK_BOE_APF DMO_Control US_long_yield US_corp_spread   US_SP_Return   US_SP_Vol      L.NA_Gilts_OFI  ,    lag(4)	 
	  estimates store model_1d, title (NA_Gilts_OFI)
	  outreg2 using "C:\Users\it237\Documents\Work\savings\pensions\annuity\Pension_and_Gilts\Bank of England\Data\ONS\Table_2.xls",  /*
*/ tstat ctitle("", "OFI") bdec(4) tdec(2) e(all) wide
	  newey NA_Gilts_HH  		 UK_BOE_APF   DMO_Control US_long_yield US_corp_spread   US_SP_Return   US_SP_Vol     L.NA_Gilts_HH  ,    lag(4)	 
	  estimates store model_1e, title (NA_Gilts_HH) 
	  outreg2 using "C:\Users\it237\Documents\Work\savings\pensions\annuity\Pension_and_Gilts\Bank of England\Data\ONS\Table_2.xls",  /*
*/ tstat ctitle("", "Households") bdec(4) tdec(2) e(all) wide
      newey NA_Gilts_RW   		  UK_BOE_APF  DMO_Control US_long_yield US_corp_spread   US_SP_Return   US_SP_Vol     L.NA_Gilts_RW  ,    lag(4)	 
      estimates store model_1f, title (NA_Gilts_RW)
	  outreg2 using "C:\Users\it237\Documents\Work\savings\pensions\annuity\Pension_and_Gilts\Bank of England\Data\ONS\Table_2.xls",  /*
*/ tstat ctitle("", "RoW") bdec(4) tdec(2) e(all) wide
	  newey NA_Gilts_MFI_EXLD_BOE UK_BOE_APF DMO_Control US_long_yield US_corp_spread   US_SP_Return   US_SP_Vol      L.NA_Gilts_MFI_EXLD_BOE  ,   lag(4)	 
	  estimates store model_1g,title (NA_Gilts_MFI_EXLD_BOE)
      outreg2 using "C:\Users\it237\Documents\Work\savings\pensions\annuity\Pension_and_Gilts\Bank of England\Data\ONS\Table_2.xls",  /*
*/ tstat ctitle("", "MFI") bdec(4) tdec(2) e(all) wide
	  

* THIS IS TABLE 2 IN THE ORIGINAL JMCB SUBMISSION
	  
	  estout model_1a model_1b model_1c model_1d model_1e model_1f model_1g , replace cells(b(star fmt(5)) t(par fmt(2)))   starlevels(* 0.10 ** 0.05 *** 0.01)  legend label stats(N r2, fmt(0 3) label(Obs R-sq)) 

	  
 * 2 sub-sample 2000q1-2012q4 - newey west

	
	  newey NA_Gilts_ICPF        UK_BOE_APF   DMO_Control US_long_yield US_corp_spread   US_SP_Return   US_SP_Vol  L.NA_Gilts_ICPF if tin(2000q1,2012q4),    lag(4)	 
	  estimates store model_2a, title (NA_Gilts_ICPF)
	  outreg2 using "C:\Users\it237\Documents\Work\savings\pensions\annuity\Pension_and_Gilts\Bank of England\Data\ONS\Table_2_subsample.xls",  /*
*/ tstat ctitle("", "ICPF") bdec(4) tdec(2) e(all) wide replace
	  newey NA_Gilts_PNFC        UK_BOE_APF  DMO_Control US_long_yield US_corp_spread   US_SP_Return   US_SP_Vol    L.NA_Gilts_PNFC  if tin(2000q1,2012q4),   lag(4)	 
	  estimates store model_2b, title (NA_Gilts_PNFC)
	  outreg2 using "C:\Users\it237\Documents\Work\savings\pensions\annuity\Pension_and_Gilts\Bank of England\Data\ONS\Table_2_subsample.xls",  /*
*/ tstat ctitle("", "PNFC") bdec(4) tdec(2) e(all) wide
	  newey NA_Gilts_PC			 UK_BOE_APF  DMO_Control US_long_yield US_corp_spread   US_SP_Return   US_SP_Vol     L.NA_Gilts_PC  if tin(2000q1,2012q4),    lag(4)	 
	  estimates store model_2c, title (NA_Gilts_PC)
	  outreg2 using "C:\Users\it237\Documents\Work\savings\pensions\annuity\Pension_and_Gilts\Bank of England\Data\ONS\Table_2_subsample.xls",  /*
*/ tstat ctitle("", "PC") bdec(4) tdec(2) e(all) wide
	  newey NA_Gilts_OFI     	 UK_BOE_APF DMO_Control US_long_yield US_corp_spread   US_SP_Return   US_SP_Vol      L.NA_Gilts_OFI  if tin(2000q1,2012q4),    lag(4)	 
	  estimates store model_2d, title (NA_Gilts_OFI)
	  outreg2 using "C:\Users\it237\Documents\Work\savings\pensions\annuity\Pension_and_Gilts\Bank of England\Data\ONS\Table_2_subsample.xls",  /*
*/ tstat ctitle("", "OFI") bdec(4) tdec(2) e(all) wide
	  newey NA_Gilts_HH  		 UK_BOE_APF   DMO_Control US_long_yield US_corp_spread   US_SP_Return   US_SP_Vol     L.NA_Gilts_HH  if tin(2000q1,2012q4),    lag(4)	 
	  estimates store model_2e, title (NA_Gilts_HH) 
	  outreg2 using "C:\Users\it237\Documents\Work\savings\pensions\annuity\Pension_and_Gilts\Bank of England\Data\ONS\Table_2_subsample.xls",  /*
*/ tstat ctitle("", "Households") bdec(4) tdec(2) e(all) wide
      newey NA_Gilts_RW   		  UK_BOE_APF  DMO_Control US_long_yield US_corp_spread   US_SP_Return   US_SP_Vol     L.NA_Gilts_RW  if tin(2000q1,2012q4),    lag(4)	 
      estimates store model_2f, title (NA_Gilts_RW)
	  outreg2 using "C:\Users\it237\Documents\Work\savings\pensions\annuity\Pension_and_Gilts\Bank of England\Data\ONS\Table_2_subsample.xls",  /*
*/ tstat ctitle("", "RoW") bdec(4) tdec(2) e(all) wide
	  newey NA_Gilts_MFI_EXLD_BOE UK_BOE_APF DMO_Control US_long_yield US_corp_spread   US_SP_Return   US_SP_Vol      L.NA_Gilts_MFI_EXLD_BOE  if tin(2000q1,2012q4),   lag(4)	 
	  estimates store model_2g,title (NA_Gilts_MFI_EXLD_BOE)
      outreg2 using "C:\Users\it237\Documents\Work\savings\pensions\annuity\Pension_and_Gilts\Bank of England\Data\ONS\Table_2_subsample.xls",  /*
*/ tstat ctitle("", "MFI") bdec(4) tdec(2) e(all) wide	  

      estout model_2a model_2b model_2c model_2d model_2e model_2f model_2g , replace cells(b(star fmt(5)) t(par fmt(2)))   starlevels(* 0.10 ** 0.05 *** 0.01)  legend label stats(N r2, fmt(0 3) label(Obs R-sq)) 


 * 3 sub-sample 2000q1-2012q4 - newey west with announced APF purchases Diff_APP_QE_STK

	
	  newey NA_Gilts_ICPF        Diff_APP_QE_STK   DMO_Control US_long_yield US_corp_spread   US_SP_Return   US_SP_Vol  L.NA_Gilts_ICPF if tin(2000q1,2012q4),    lag(4)	 
	  estimates store model_3a, title (NA_Gilts_ICPF)
	  outreg2 using "C:\Users\it237\Documents\Work\savings\pensions\annuity\Pension_and_Gilts\Bank of England\Data\ONS\Table_2_announced.xls",  /*
*/ tstat ctitle("", "ICPF") bdec(4) tdec(2) e(all) wide replace
	  newey NA_Gilts_PNFC        Diff_APP_QE_STK  DMO_Control US_long_yield US_corp_spread   US_SP_Return   US_SP_Vol    L.NA_Gilts_PNFC  if tin(2000q1,2012q4),   lag(4)	 
	  estimates store model_3b, title (NA_Gilts_PNFC)
	  outreg2 using "C:\Users\it237\Documents\Work\savings\pensions\annuity\Pension_and_Gilts\Bank of England\Data\ONS\Table_2_announced.xls",  /*
*/ tstat ctitle("", "PNFC") bdec(4) tdec(2) e(all) wide
	  newey NA_Gilts_PC			 Diff_APP_QE_STK  DMO_Control US_long_yield US_corp_spread   US_SP_Return   US_SP_Vol     L.NA_Gilts_PC  if tin(2000q1,2012q4),    lag(4)	 
	  estimates store model_3c, title (NA_Gilts_PC)
	  outreg2 using "C:\Users\it237\Documents\Work\savings\pensions\annuity\Pension_and_Gilts\Bank of England\Data\ONS\Table_2_announced.xls",  /*
*/ tstat ctitle("", "PC") bdec(4) tdec(2) e(all) wide
	  newey NA_Gilts_OFI     	 Diff_APP_QE_STK DMO_Control US_long_yield US_corp_spread   US_SP_Return   US_SP_Vol      L.NA_Gilts_OFI  if tin(2000q1,2012q4),    lag(4)	 
	  estimates store model_3d, title (NA_Gilts_OFI)
	  outreg2 using "C:\Users\it237\Documents\Work\savings\pensions\annuity\Pension_and_Gilts\Bank of England\Data\ONS\Table_2_announced.xls",  /*
*/ tstat ctitle("", "OFI") bdec(4) tdec(2) e(all) wide
	  newey NA_Gilts_HH  		 Diff_APP_QE_STK   DMO_Control US_long_yield US_corp_spread   US_SP_Return   US_SP_Vol     L.NA_Gilts_HH  if tin(2000q1,2012q4),    lag(4)	 
	  estimates store model_3e, title (NA_Gilts_HH) 
	  outreg2 using "C:\Users\it237\Documents\Work\savings\pensions\annuity\Pension_and_Gilts\Bank of England\Data\ONS\Table_2_announced.xls",  /*
*/ tstat ctitle("", "Households") bdec(4) tdec(2) e(all) wide
      newey NA_Gilts_RW   		  Diff_APP_QE_STK  DMO_Control US_long_yield US_corp_spread   US_SP_Return   US_SP_Vol     L.NA_Gilts_RW  if tin(2000q1,2012q4),    lag(4)	 
      estimates store model_3f, title (NA_Gilts_RW)
	  outreg2 using "C:\Users\it237\Documents\Work\savings\pensions\annuity\Pension_and_Gilts\Bank of England\Data\ONS\Table_2_announced.xls",  /*
*/ tstat ctitle("", "RoW") bdec(4) tdec(2) e(all) wide
	  newey NA_Gilts_MFI_EXLD_BOE Diff_APP_QE_STK DMO_Control US_long_yield US_corp_spread   US_SP_Return   US_SP_Vol      L.NA_Gilts_MFI_EXLD_BOE  if tin(2000q1,2012q4),   lag(4)	 
	  estimates store model_3g,title (NA_Gilts_MFI_EXLD_BOE)
      outreg2 using "C:\Users\it237\Documents\Work\savings\pensions\annuity\Pension_and_Gilts\Bank of England\Data\ONS\Table_2_announced.xls",  /*
*/ tstat ctitle("", "MFI") bdec(4) tdec(2) e(all) wide	  

      estout model_3a model_3b model_3c model_3d model_3e model_3f model_3g , replace cells(b(star fmt(5)) t(par fmt(2)))   starlevels(* 0.10 ** 0.05 *** 0.01)  legend label stats(N r2, fmt(0 3) label(Obs R-sq)) 
	  
 * 4 sub-sample 2000q1-2012q4 - newey west with announced APF purchases UK_ANN_QE_STK

	
	  newey NA_Gilts_ICPF        UK_ANN_QE_STK   DMO_Control US_long_yield US_corp_spread   US_SP_Return   US_SP_Vol  L.NA_Gilts_ICPF if tin(2000q1,2012q4),    lag(4)	 
	  estimates store model_4a, title (NA_Gilts_ICPF)
	  outreg2 using "C:\Users\it237\Documents\Work\savings\pensions\annuity\Pension_and_Gilts\Bank of England\Data\ONS\Table_2_announced_stock.xls",  /*
*/ tstat ctitle("", "ICPF") bdec(4) tdec(2) e(all) wide replace
	  newey NA_Gilts_PNFC        UK_ANN_QE_STK  DMO_Control US_long_yield US_corp_spread   US_SP_Return   US_SP_Vol    L.NA_Gilts_PNFC  if tin(2000q1,2012q4),   lag(4)	 
	  estimates store model_4b, title (NA_Gilts_PNFC)
	  outreg2 using "C:\Users\it237\Documents\Work\savings\pensions\annuity\Pension_and_Gilts\Bank of England\Data\ONS\Table_2_announced_stock.xls",  /*
*/ tstat ctitle("", "PNFC") bdec(4) tdec(2) e(all) wide
	  newey NA_Gilts_PC			 UK_ANN_QE_STK  DMO_Control US_long_yield US_corp_spread   US_SP_Return   US_SP_Vol     L.NA_Gilts_PC  if tin(2000q1,2012q4),    lag(4)	 
	  estimates store model_4c, title (NA_Gilts_PC)
	  outreg2 using "C:\Users\it237\Documents\Work\savings\pensions\annuity\Pension_and_Gilts\Bank of England\Data\ONS\Table_2_announced_stock.xls",  /*
*/ tstat ctitle("", "PC") bdec(4) tdec(2) e(all) wide
	  newey NA_Gilts_OFI     	 UK_ANN_QE_STK DMO_Control US_long_yield US_corp_spread   US_SP_Return   US_SP_Vol      L.NA_Gilts_OFI  if tin(2000q1,2012q4),    lag(4)	 
	  estimates store model_4d, title (NA_Gilts_OFI)
	  outreg2 using "C:\Users\it237\Documents\Work\savings\pensions\annuity\Pension_and_Gilts\Bank of England\Data\ONS\Table_2_announced_stock.xls",  /*
*/ tstat ctitle("", "OFI") bdec(4) tdec(2) e(all) wide
	  newey NA_Gilts_HH  		 UK_ANN_QE_STK   DMO_Control US_long_yield US_corp_spread   US_SP_Return   US_SP_Vol     L.NA_Gilts_HH  if tin(2000q1,2012q4),    lag(4)	 
	  estimates store model_4e, title (NA_Gilts_HH) 
	  outreg2 using "C:\Users\it237\Documents\Work\savings\pensions\annuity\Pension_and_Gilts\Bank of England\Data\ONS\Table_2_announced_stock.xls",  /*
*/ tstat ctitle("", "Households") bdec(4) tdec(2) e(all) wide
      newey NA_Gilts_RW   		  UK_ANN_QE_STK  DMO_Control US_long_yield US_corp_spread   US_SP_Return   US_SP_Vol     L.NA_Gilts_RW  if tin(2000q1,2012q4),    lag(4)	 
      estimates store model_4f, title (NA_Gilts_RW)
	  outreg2 using "C:\Users\it237\Documents\Work\savings\pensions\annuity\Pension_and_Gilts\Bank of England\Data\ONS\Table_2_announced_stock.xls",  /*
*/ tstat ctitle("", "RoW") bdec(4) tdec(2) e(all) wide
	  newey NA_Gilts_MFI_EXLD_BOE UK_ANN_QE_STK DMO_Control US_long_yield US_corp_spread   US_SP_Return   US_SP_Vol      L.NA_Gilts_MFI_EXLD_BOE  if tin(2000q1,2012q4),   lag(4)	 
	  estimates store model_4g,title (NA_Gilts_MFI_EXLD_BOE)
      outreg2 using "C:\Users\it237\Documents\Work\savings\pensions\annuity\Pension_and_Gilts\Bank of England\Data\ONS\Table_2_announced_stock.xls",  /*
*/ tstat ctitle("", "MFI") bdec(4) tdec(2) e(all) wide	  

      estout model_4a model_4b model_4c model_4d model_4e model_4f model_4g , replace cells(b(star fmt(5)) t(par fmt(2)))   starlevels(* 0.10 ** 0.05 *** 0.01)  legend label stats(N r2, fmt(0 3) label(Obs R-sq)) 
	  
