* main3_ctr- ons blue book national account
* On every things
* On one APF variable
* Sectors
 
* Zhuoshi Liu @ MFAD,MA,BOE 27 Aug 2012

* install estout

*ssc install estout, replace

* THIS FILE GENERATES TABLE 3 IN JMCB SUBMISSION

* set path

*cd "C:\ZL_folder\BOE_A\Projects\16_WP_LongTerm_Investors_AssetAllocation\analysis\stata\ONSFA\2012q4\"
cd "C:\Users\it237\Documents\Work\savings\pensions\annuity\Pension_and_Gilts\Bank of England\Data\ONS"

* clear memory

clear all


* import data to Stata

*do "loadData.do"

use "DataAll.dta"


* set dates

tsset  Stata_Dates, quarterly



* Generate new variables


gen P_UK_debt_issuance = UK_debt_issuance / UK_NOM_GDP 
gen P_UK_BOE_APF = UK_BOE_APF / UK_NOM_GDP
gen NA_Gilts_MFI_EXLD_BOE =  NA_Gilts_MFI - NA_Gilts_BOE
gen D_FA_Gilts_MFI_EXLD_BOE =  D_FA_Gilts_MFI - D_FA_Gilts_BOE
gen FA_All_MFI_EXLD_BOE =  FA_All_MFI - FA_All_BOE

gen P_NA_Gilts_MFI_EXLD_BOE =  100*D_FA_Gilts_MFI_EXLD_BOE / FA_All_MFI_EXLD_BOE

*gen UK_yield_slope =  UK_10Y_Yield - UK_3m_rate

*gen UK_Corp_credit_sprd =  UK_Corp_yield - UK_10Y_Yield
 
*gen UK_BOE_APF_short = UK_BOE_APF - UK_BOE_APF_long

gen US_Corp_Spread = US_Corp_yield - US_10Y_Yield

* Summary Statistics
summarize NA_AllShares_ICPF NA_Gilts_ICPF NA_AllcorpBnds_ICPF NA_Cash_ICPF UK_debt_issuance
summarize NA_AllShares_ICPF NA_Gilts_ICPF NA_AllcorpBnds_ICPF NA_Cash_ICPF UK_debt_issuance if tin(1987q1,2008q4)
summarize NA_AllShares_ICPF NA_Gilts_ICPF NA_AllcorpBnds_ICPF NA_Cash_ICPF UK_debt_issuance UK_BOE_APF if tin(2009q1,2012q4)

stop

* regression analysis net acquisition : ICPF
  
  gen DMO_Control = UK_debt_issuance
  gen US_long_yield = 1000*(US_10Y_Yield-L.US_10Y_Yield)
  gen US_corp_spread = 1000*(US_Corp_Spread-L.US_Corp_Spread)
  gen US_SP_Return = US_SP_RN
  gen US_SP_Vol = US_SP_VOL
  gen UK_BOE_APF_short = UK_BOE_APF -  UK_BOE_APF_long
  
  * TRY changes in UK_debt_issuance; US_10Y_Yield;US_Corp_Spread
  
    * 1 full sample: LAG: 1A -Newey
	* THIS IS TABLE 3 (IN ORIGINAL JMCB SUBMISSION)
	  
	  newey NA_AllShares_ICPF     UK_BOE_APF   DMO_Control US_long_yield US_corp_spread   US_SP_Return   US_SP_Vol   L.NA_AllShares_ICPF  ,     lag(4)	
 	  estimates store model_1a, title (Equities_ICPF)
	  outreg2 using "C:\Users\it237\Documents\Work\savings\pensions\annuity\Pension_and_Gilts\Bank of England\Data\ONS\Table_3.xls",  /*
*/ tstat ctitle("", "Equities") bdec(4) tdec(2) e(all) replace
      
	  newey NA_Gilts_ICPF         UK_BOE_APF  DMO_Control US_long_yield US_corp_spread   US_SP_Return   US_SP_Vol    L.NA_Gilts_ICPF ,  lag(4)	 
	  estimates store model_1b, title (Gilts_ICPF)
	  outreg2 using "C:\Users\it237\Documents\Work\savings\pensions\annuity\Pension_and_Gilts\Bank of England\Data\ONS\Table_3.xls",  /*
*/ tstat ctitle("", "Gilts") bdec(4) tdec(2) e(all)
      
	  newey NA_AllcorpBnds_ICPF   UK_BOE_APF  DMO_Control US_long_yield US_corp_spread   US_SP_Return   US_SP_Vol   L.NA_AllcorpBnds_ICPF  ,   lag(4)	 
	  estimates store model_1c,title (CorpBnds_ICPF)
	  outreg2 using "C:\Users\it237\Documents\Work\savings\pensions\annuity\Pension_and_Gilts\Bank of England\Data\ONS\Table_3.xls",  /*
*/ tstat ctitle("", "Corp Bonds") bdec(4) tdec(2) e(all)

	  newey NA_Cash_ICPF          UK_BOE_APF   DMO_Control US_long_yield US_corp_spread   US_SP_Return   US_SP_Vol   L.NA_Cash_ICPF  ,          lag(4)	 
	  estimates store model_1d, title (Cash_ICPF)
	  outreg2 using "C:\Users\it237\Documents\Work\savings\pensions\annuity\Pension_and_Gilts\Bank of England\Data\ONS\Table_3.xls",  /*
*/ tstat ctitle("", "Cash") bdec(4) tdec(2) e(all)
	  
	  

	  estout model_1a model_1b model_1c model_1d , replace cells(b(star fmt(5)) t(par fmt(2)))   starlevels(* 0.10 ** 0.05 *** 0.01)  legend label stats(N r2, fmt(0 3) label(Obs R-sq)) 
	
	 
	
 * 2 sub-sample 2000q1-2012q4 - newey west 

	  newey NA_AllShares_ICPF     UK_BOE_APF   DMO_Control US_long_yield US_corp_spread   US_SP_Return   US_SP_Vol   L.NA_AllShares_ICPF if tin(2000q1,2012q4)  ,     lag(4)	
 	  estimates store model_2a, title (Equities_ICPF)
	  outreg2 using "C:\Users\it237\Documents\Work\savings\pensions\annuity\Pension_and_Gilts\Bank of England\Data\ONS\Table_3_subsample.xls",  /*
*/ tstat ctitle("", "Equities") bdec(4) tdec(2) e(all) replace
      
	  newey NA_Gilts_ICPF         UK_BOE_APF  DMO_Control US_long_yield US_corp_spread   US_SP_Return   US_SP_Vol    L.NA_Gilts_ICPF if tin(2000q1,2012q4) ,  lag(4)	 
	  estimates store model_2b, title (Gilts_ICPF)
	  outreg2 using "C:\Users\it237\Documents\Work\savings\pensions\annuity\Pension_and_Gilts\Bank of England\Data\ONS\Table_3_subsample.xls",  /*
*/ tstat ctitle("", "Gilts") bdec(4) tdec(2) e(all)
      
	  newey NA_AllcorpBnds_ICPF   UK_BOE_APF  DMO_Control US_long_yield US_corp_spread   US_SP_Return   US_SP_Vol   L.NA_AllcorpBnds_ICPF  if tin(2000q1,2012q4) ,   lag(4)	 
	  estimates store model_2c,title (CorpBnds_ICPF)
	  outreg2 using "C:\Users\it237\Documents\Work\savings\pensions\annuity\Pension_and_Gilts\Bank of England\Data\ONS\Table_3_subsample.xls",  /*
*/ tstat ctitle("", "Corp Bonds") bdec(4) tdec(2) e(all)

	  newey NA_Cash_ICPF          UK_BOE_APF   DMO_Control US_long_yield US_corp_spread   US_SP_Return   US_SP_Vol   L.NA_Cash_ICPF  if tin(2000q1,2012q4) ,          lag(4)	 
	  estimates store model_2d, title (Cash_ICPF)
	  outreg2 using "C:\Users\it237\Documents\Work\savings\pensions\annuity\Pension_and_Gilts\Bank of England\Data\ONS\Table_3_subsample.xls",  /*
*/ tstat ctitle("", "Cash") bdec(4) tdec(2) e(all)
	  
	  
	  estout model_2a model_2b model_2c model_2d , replace cells(b(star fmt(5)) t(par fmt(2)))   starlevels(* 0.10 ** 0.05 *** 0.01)  legend label stats(N r2, fmt(0 3) label(Obs R-sq)) 
	
 * 3 sub-sample 2005q1-2012q4 - newey west with announced APF purchases Diff_APP_QE_STK

newey NA_AllShares_ICPF     Diff_APP_QE_STK   DMO_Control US_long_yield US_corp_spread   US_SP_Return   US_SP_Vol   L.NA_AllShares_ICPF if tin(2000q1,2012q4)  ,     lag(4)	
 	  estimates store model_3a, title (Equities_ICPF)
	  outreg2 using "C:\Users\it237\Documents\Work\savings\pensions\annuity\Pension_and_Gilts\Bank of England\Data\ONS\Table_3_announced.xls",  /*
*/ tstat ctitle("", "Equities") bdec(4) tdec(2) e(all) replace
      
	  newey NA_Gilts_ICPF         Diff_APP_QE_STK  DMO_Control US_long_yield US_corp_spread   US_SP_Return   US_SP_Vol    L.NA_Gilts_ICPF if tin(2000q1,2012q4) ,  lag(4)	 
	  estimates store model_3b, title (Gilts_ICPF)
	  outreg2 using "C:\Users\it237\Documents\Work\savings\pensions\annuity\Pension_and_Gilts\Bank of England\Data\ONS\Table_3_announced.xls",  /*
*/ tstat ctitle("", "Gilts") bdec(4) tdec(2) e(all)
      
	  newey NA_AllcorpBnds_ICPF   Diff_APP_QE_STK  DMO_Control US_long_yield US_corp_spread   US_SP_Return   US_SP_Vol   L.NA_AllcorpBnds_ICPF  if tin(2000q1,2012q4) ,   lag(4)	 
	  estimates store model_3c,title (CorpBnds_ICPF)
	  outreg2 using "C:\Users\it237\Documents\Work\savings\pensions\annuity\Pension_and_Gilts\Bank of England\Data\ONS\Table_3_announced.xls",  /*
*/ tstat ctitle("", "Corp Bonds") bdec(4) tdec(2) e(all)

	  newey NA_Cash_ICPF          Diff_APP_QE_STK   DMO_Control US_long_yield US_corp_spread   US_SP_Return   US_SP_Vol   L.NA_Cash_ICPF  if tin(2000q1,2012q4) ,          lag(4)	 
	  estimates store model_3d, title (Cash_ICPF)
	  outreg2 using "C:\Users\it237\Documents\Work\savings\pensions\annuity\Pension_and_Gilts\Bank of England\Data\ONS\Table_3_announced.xls",  /*
*/ tstat ctitle("", "Cash") bdec(4) tdec(2) e(all)
	  
	  
	  estout model_3a model_3b model_3c model_3d , replace cells(b(star fmt(5)) t(par fmt(2)))   starlevels(* 0.10 ** 0.05 *** 0.01)  legend label stats(N r2, fmt(0 3) label(Obs R-sq)) 
	